<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>Pajamas Status by Component</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/handsontable/dist/handsontable.full.min.css" />
  </head>
  <body>
    <div id="statustable"></div>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/handsontable/dist/handsontable.full.min.js"></script>
    <script type="text/javascript">

    const data = [
      { id: 1, 
        component: {
          name: 'Badges', 
          description: 'A badge highlights system generated metadata as an attribute of a larger object.',
          epic: 'https://gitlab.com/groups/gitlab-org/-/epics/983',
          complexity: 'Low',
          complexity_factor: 1
        }, 
        status: {
          research: 'Done', 
          accessibility: 'Not Started',
          open_issues: 2
        },
        total_time: '=D1*G1'
      },
      { id: 2,
        component: {
          name: 'Segmented Controls'
        },
        status: {
          research: 'Done', 
          accessibility: 'Not Started'
        }
      },
      { id: 3, 
        component: {
          name: 'Breadcrumbs', 
          description: 'A breadcrumb is a navigational element to help a user understand the current location in the application as well as content structure and hierarchy.',
          epic: 'https://gitlab.com/groups/gitlab-org/-/epics/1043',
          complexity: 'High',
          complexity_factor: 3
        }, 
        status: {
          research: 'Done', 
          accessibility: 'Not Started'
        }
      }
    ];
    
    const container = document.getElementById('statustable');

    const hot = new Handsontable(container, {
      data: data,
      formulas: {
        engine: HyperFormula,
      },
      colHeaders: true,
      height: 'auto',
      width: 'auto',
      colHeaders: ['ID', 'Name', 'Complexity', 'Open Issues', 'Research', 'Accessibility', 'Complexity Factor', 'Estimate', 'Time calc'],
      columns: [
        { data: 'id' },
        { data: 'component.name' },
        // { data: 'component.description' },
        // { data: 'component.epic' },
        { data: 'component.complexity' },
        { data: 'status.open_issues'},
        { data: 'status.research', 
            type: 'dropdown',
            source: ['Done', 'In Research', 'Not Started']
        },
        { data: 'status.accessibility', 
            type: 'dropdown',
            source: ['Done', 'In Research', 'Not Started']
        },
        { data: 'component.complexity_factor'},
        { data: 'total_time'}
      ],
      minSpareRows: 0,
      licenseKey: 'non-commercial-and-evaluation' // for non-commercial use only
    });
    
    </script>
  </body>
</html>